bayes_theorem.cpp File Reference

Bayes' theorem More...

`#include <iostream>`
Include dependency graph for bayes_theorem.cpp:

## Functions

double | bayes_AgivenB (double BgivenA, double A, double B)
double | bayes_BgivenA (double AgivenB, double A, double B)
int | main ()

## Detailed Description

Bayes' theorem

Bayes' theorem allows one to find \(P(A|B)\) given \(P(B|A)\) or \(P(B|A)\) given \(P(A|B)\) and \(P(A)\) and \(P(B)\).
Note that \(P(A|B)\) is read 'The probability of A given that the event B has occured'.

## Function Documentation

## bayes_AgivenB()

double bayes_AgivenB | ( | double | BgivenA,
|  | double | A,
|  | double | B
| ) |  |

returns P(A|B)

{
return (BgivenA * A) / B;
}

## bayes_BgivenA()

double bayes_BgivenA | ( | double | AgivenB,
|  | double | A,
|  | double | B
| ) |  |

returns P(B|A)

{
return (AgivenB * B) / A;
}

## main()

int main | ( | void |  | ) |

Main function

{
double A = 0.01;
double B = 0.1;
double BgivenA = 0.9;
double AgivenB = bayes_AgivenB(BgivenA, A, B);
std::cout << "A given B = " << AgivenB << std::endl;
std::cout << "B given A = " << bayes_BgivenA(AgivenB, A, B) << std::endl;
return 0;
}
std::cout
bayes_AgivenB
double bayes_AgivenB(double BgivenA, double A, double B)
Definition: bayes_theorem.cpp:14
bayes_BgivenA
double bayes_BgivenA(double AgivenB, double A, double B)
Definition: bayes_theorem.cpp:20
std::endl
T endl(T... args)
Here is the call graph for this function: